<html>
  <head> </head>
  <body>
    <div id="counter">Counter: {{ counter }}</div>

    <br />

    <div id="bind-attribute">
      <span :title="message">
        Hover your mouse over me for a few seconds to see my dynamically bound
        title!
      </span>
    </div>

    <br />

    <div id="event-handling">
      <p>{{ message }}</p>
      <button @click="reverseMessage">Reverse Message</button>
    </div>

    <br />

    <div id="two-way-binding">
      <p>{{ message }}</p>
      <input v-model="message" />
    </div>

    <br />

    <div id="conditional-rendering">
      <span v-if="seen">Now you see me</span>
    </div>

    <br />

    <div id="list-rendering">
      <ol>
        <li v-for="todo in todos" :key="todo.text">{{ todo.text }}</li>
      </ol>
    </div>

    <br />

    <div id="todo-list-app">
      <ol>
        <!--
          Now we provide each todo-item with the todo object
          it's representing, so that its content can be dynamic.
          We also need to provide each component with a "key",
          which will be explained later.
        -->
        <todo-item
          v-for="item in groceryList"
          :todo="item"
          :key="item.id"
        ></todo-item>
      </ol>
    </div>

    <br />

    <div id="app2">{{ count }}</div>

    <br />

    <div id="app3">
      <button @click="increment">Up vote</button>
    </div>

    <br />

    <div id="computed-basics">
      <p>Has published books:</p>
      <span>{{ publishedBooksMessage }}</span>
      <p>{{ calculateBooksMessage() }}</p>
    </div>

    <br />

    <div id="watch-example">
      <p>
        Ask a yes/no question:
        <input v-model="question" />
      </p>
      <p>{{ answer }}</p>
    </div>

    <br />

    <div id="demo">{{ fullName }}</div>

    <br />

    <div id="demo2">{{ fullName }}</div>

    <br />

    <div id="htmlClasses">
      <div
        class="static"
        :class="{ active: isActive, 'text-danger': hasError }"
      >
        HTML classes
      </div>
    </div>

    <br />

    <div id="htmlClasses2">
      <div class="static" :class="classObject">HTML classes</div>
    </div>

    <br />

    <div id="htmlClasses3">
      <div class="static" :class="classObject">HTML classes</div>
    </div>

    <br />

    <div id="app6">
      <my-component class="baz"></my-component>
    </div>

    <br />

    <div id="conditional">
      <div v-if="awesome">
        <div>1</div>
        <div>1</div>
        <div>1</div>
      </div>
      <h1 v-else>Oh no 😢</h1>
    </div>

    <br />

    <div id="conditional2">
      <template v-if="ok">
        <h1>Title</h1>
        <p>Paragraph 1</p>
        <p>Paragraph 2</p>
      </template>
    </div>

    <br />

    <div id="todo-list-example">
      <form v-on:submit.prevent="addNewTodo">
        <label for="new-todo">Add a todo</label>
        <input
          v-model="newTodoText"
          id="new-todo"
          placeholder="E.g. Feed the cat"
        />
        <button>Add</button>
      </form>
      <ul>
        <todo-item
          v-for="(todo, index) in todos"
          :key="todo.id"
          :title="todo.title"
          @remove="todos.splice(index, 1)"
        ></todo-item>
      </ul>
    </div>

    <br />

    <div id="component"><root></root></div>

    <script src="js/vue.global.js"></script>
    <script src="js/axios.min.js"></script>
    <script src="js/lodash.min.js"></script>
    <script src="js/index.js"></script>
  </body>
</html>
